//  Erzeugt sämtliche Hilfedateien in den Verzeichnissen
//  /help/<lang>/*
//
//  Copyright (c) area7/Christof Schulze  2009-2010
//--------------------------------------------------------------


tlbx_help = get_absolute_file_path('builder_help.sce');
tlbx_jar = pathconvert(tlbx_help + '../jar/', %T, %T); //TODO

// de_DE
  language="de_DE";
  paths = [ tlbx_help + language + filesep() + 'geometrie' + filesep(), 
            tlbx_help + language + filesep() + 'gps' + filesep(),
            tlbx_help + language + filesep() + 'physgeo' + filesep(),
            tlbx_help + language + filesep() + 'util' + filesep()];
  titles= ['Geometrie' 'GPS' 'Physikalische Geodäsie' 'Utilities'];

  masterfile = tlbx_help + language + filesep() + 'master_help2.xml';

  create_master_help('Scilib-GEO', masterfile, language, paths, titles);
  
  name = 'scilab_'+language+'_help';
  mkdir(tlbx_help+name);
  chdir(tlbx_help+name);
  mprintf('Directory to build ''%s''\n', pwd());
  
  buildDoc('javaHelp', ...
           tlbx_help + filesep() + language + filesep() + 'master_help2.xml', ...
           language, ...
           tlbx_help);
           
  if ~isdir(tlbx_jar) then
    mkdir(tlbx_jar);
  end;
  mprintf('Jar-Directory is %s\n', tlbx_jar);
  copyfile(tlbx_help+name+filesep()+name + '.jar', tlbx_jar + name + '.jar');
  mdelete(tlbx_help+name+filesep()+name+'.jar');
  chdir(tlbx_help);
  

  mprintf('--- begin en_US ---\n');
  mprintf('Directory to build ''%s''\n', pwd());
// en_US
  language="en_US";
  paths = [ tlbx_help + language + filesep() + 'geometrie' + filesep(),
	  tlbx_help + language + filesep() + 'gps' + filesep(),
	  tlbx_help + language + filesep() + 'physgeo' + filesep(),
	  tlbx_help + language + filesep() + 'util' + filesep() ];

  titles= [ 'Geometrie', 'GPS', 'Physical Geodesy' 'Utilities'];

  masterfile = tlbx_help + language + filesep() + 'master_help.xml';

  create_master_help('Scilib-GEO', masterfile, language, paths, titles);
  
  name = 'scilab_'+language+'_help';
  mkdir(tlbx_help+name);
  chdir(tlbx_help+name);
  mprintf('Directory to build ''%s''\n', pwd());
  
  buildDoc('javaHelp', ...
           tlbx_help + filesep() + language + filesep() + 'master_help.xml', ...
           language, ...
           tlbx_help);
           
  if ~isdir(tlbx_jar) then
    mkdir(tlbx_jar);
  end;
  mprintf('Jar-Directory is %s\n', tlbx_jar);
  copyfile(tlbx_help+name+filesep()+name + '.jar', tlbx_jar + name + '.jar');
  mdelete(tlbx_help+name+filesep()+name+'.jar');
  chdir(tlbx_help);
  

//cd(pathconvert(tlbx_help)+"/de_DE"));
//exec("build_help.sce");
//cd(tlbx_help);
//cd(pathconvert(tlbx_help+"/en_US"));
//exec("build_help.sce");


//--------------------------------------------------------------
clear tlbx_help