//--------------------------------------------------------------
// Erzeugt sämtliche Hilfedateien in den Verzeichnissen /help/<lang>
//
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------
lines(0);
mode(-1);                                                       //force silent execution

Directories = ['phys', 'geometrie', 'gps', 'util'];

CurrentDirectory = get_absolute_file_path('buildallhelp.sce');  //get the absolute path of this file

deDirectory = CurrentDirectory +'de/';
engDirectory = CurrentDirectory +'eng/';
try   
 sciversion = getversion('scilab')
 exec(CurrentDirectory + 'buildallhelp5.sce');
catch  
 sciversion = 4
end;  


// erzeugen der Hilfe
if sciversion(1)<5 then
  // (deutsch)
  chdir(deDirectory);
  for i=1:size(Directories,2) do
    if isdir(Directories(i)) then
      myDir = deDirectory + Directories(i);
      mtitle = 'Scilib-GEO '+Directories(i);
      mprintf("       - Creation of <help/de/%s>\n", Directories(i));
      chdir(Directories(i));
      //add_help_chapter(mtitle, myDir);                 //add help chapter
      xmltohtml(myDir, mtitle, 'all', 'fr','en'); //, 'html.xsl', 'all');
      chdir(deDirectory);
    end
  end
  chdir(CurrentDirectory);

  // creates the help files (english)
  chdir(engDirectory);
  for i=1:size(Directories,2) do
    if isdir(Directories(i)) then
      myDir = engDirectory + Directories(i);
      mtitle = 'Scilib-GEO '+Directories(i);
      mprintf("       - Creation of <help/eng/%s>\n", Directories(i));
      chdir(Directories(i));
      my_english_xsl_file   =  pathconvert(SCI+'/modules/helptools/help_eng.xsl',%f,%f)
      //add_help_chapter(mtitle, myDir);                 //add help chapter
      xmltohtml(myDir, mtitle, my_english_xsl_file, 'all', 'en','de'); //, 'html.xsl', 'all');
      chdir(engDirectory);
    end
  end
  chdir(CurrentDirectory);
  
  //clear the variable stack
  clear get_absolute_file_path isdir mtitle CurrentDirectory Directories i add_help_chapter xmltohtml deDirectory engDirectory myDir;
  
end;
