//--------------------------------------------------------------
// Lädt sämtliche Hilfedateien in den Verzeichnissen /help/<lang>
//
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------

lines(0);
mode(-1);                                                       //force silent execution

if (~isdef("GEOlib_LANGUAGE")) | ((GEOlib_LANGUAGE ~= "eng") & (GEOlib_LANGUAGE ~= "de")) then
  disp "Für die eingestellte Sprache existiert keine Hilfe. /n Es wird auf englisch eingestellt.";
  GEOlib_LANGUAGE = 'eng';
end

Directories = ['phys', 'geometrie', 'gps', 'util'];

CurrentDirectory = get_absolute_file_path('loadallhelp.sce');
chdir(CurrentDirectory);

langDir = CurrentDirectory+GEOlib_LANGUAGE+'/';

for i=1:size(Directories,2) do
  chdir(langDir);
  if isdir(Directories(i)) then
    mtitle = 'Scilib-GEO '+Directories(i);
    mprintf("       - Loading of <help/%s/%s>\n", GEOlib_LANGUAGE, Directories(i));
    add_help_chapter(mtitle, langDir+Directories(i)); 
  end
end
chdir(CurrentDirectory);
 
//clear the variable stack
clear CurrentDirectory langDir Directories mtitle i get_absolute_file_path isdir add_help_chapter
