function worldmap = plotWorldmap(doplot, worldmapfile)
// liefert eine Koordinatenmatrix [b, l] der Ksteninien (4078 Punkte)
// und fgt sie in einen bereits existierenden Plot ein, oder erzeugt einen neuen.
//
// in : worldmapfile (optional) - noch nicht untersttzt
//
// out: worldmap - Koordinatenmatrix der Kstenlinien
//
// (nicht matrixfhig)
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------

// Ouput variables initialisation (not found in input variables)
worldmap=[]; //doplot=%F;

// Display mode
mode(1);              // --> TODO (0)
// Display warning for floating point exception
ieee(1);

// Number of arguments in function call
[%nargout,%nargin] = argn(0);

defaultFile = %GEOlib_DIR+'macros/util/worldmap.txt';

select %nargin
    case 0    // keine Parameter => alles ausgeben, doplot=%F
      mapFile = defaultFile;
      doplot = %F;
    case 1
      if (typeof(doplot)=="boolean") then 
        mapFile = defaultFile;
      elseif(typeof(doplot)=="string") then
        doplot = %F;
        worldmapfile = doplot;
      end;
      
    case 2
      
    else
      error('Number of parameters incorrect.');
end;


worldmap = fscanfMat(mapFile);

if doplot then
  plot2d(worldmap(:,2),worldmap(:,1),style=0);
end


endfunction
